ContestId := $t;
ContestName = "Очередное пракическое занятие, группа DJ, 25 ноября 2009";
# ContestNameBefore := ;
Minutes := 210;
DisableMon := 0;
ForceContLen := 1;

daydir := $testsysdir\$ContestId;
contestdir := $daydir;                                
SubmitQDir := $contestdir\submits;
DataFile := $contestdir\contest.dat;
TestLogDir := $contestdir\testlogs;
IOILogs := $contestdir\ioilogs;
IOISols := $contestdir\ioisols;
Log := $contestdir\contest.log;

monitors = [  
  {file:=$testsysdir\internet\n$ContestId.dat; id:=umon; usermon:=yes; monmask:=7;}
  {file:=$testsysdir\internet\m$ContestId.dat; usermon:=yes; monmask:=6;}
  {file:=console; usermon:=no;}
  {file:=$testsysdir\monitors\jm$ContestId.dat; id := jmon; usermon:=no; monmask:=7;}
];

timelimit := 2;
memorylimit := 262144;

AutoResults := true;
AllowedExtensions := .java .cpp .c .pas .dpr .py;
TestsDirSuff := \tests
include $configdir\probmac.cfg
problems = [
  problA(A, "Скобки", "brackets")
  problA(B, "Предъявите документы!", "docs")
  problA(C, "Постфиксная запись", "postfix")
  problA(D, "Range Variation Query", "rvq")
  problA(E, "Баржа", "ship")
];

#TLOverride += [
#  JavaTime ("A", 3)
#];

teamprinter := PR1;
pagelimit := 5;
printbanners := true;
printnotifications := false;
largebannerheaders := false;
samesheetbanners := true;

AllowDupLogins := true;
StatementsLink := http://acm.math.spbu.ru/trains/$ContestId.pdf;

include $configdir\contmac.cfg
include $configdir\teammac.cfg
include $testsysdir\logins_08.cfg
SendTestNumber := true;
